Subject: Re: What's cooking in git.git (Oct 2020, #02; Fri, 9)

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Oct 2020 09:28:10 -0700

Derrick Stolee <[email-masked]> writes:

> As for discarding them all: we would need to add code to "reparse"
> a commit from the object database. Perhaps that is doable, but we
> have so far not removed data from a parsed 'struct commit'. This
> is probably the easiest way forward to guarantee correct data here.

Oh, no, by "discarding" I just meant to blow away suspect on-disk
files and recompute them from scratch.  I didn't have anything
clever like correcting in-core data structure by parsing the commits
and updating.

> Again, let's find a way to test this before committing.

Yes, that is sensible.  After all this is not a recent regression.